#!/bin/sh

i=install2-init-functions
. $i
. shell-config

SLAPD_CONF="$destdir/etc/openldap/slapd.conf"

require_schema() {
    local schema="$1"

    if [ -f "$destdir/etc/openldap/schema/$schema.schema" ]; then
	local r1="include\s+/etc/openldap/schema/$schema\.schema"
	local r2="include	/etc/openldap/schema/$schema.schema"

	sed -i -r "s,^#($r1)\s*$,\1," "$SLAPD_CONF"
	grep -qE "^$r1\s*$" "$SLAPD_CONF" || echo "$r2" >> "$SLAPD_CONF"
    fi
}

#don't do anything if no alterator-openldap and samba installed
run_chroot rpm -q alterator-openldap samba &>/dev/null || exit 0

#check or setup required schema's
require_schema samba
require_schema kerberos

#turn off default database
sed -i -r "s,^(include\s.*[hm]db-db01\.conf)\s*$,#\1," "$SLAPD_CONF"

